[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomStaticText.Transparent

Makes the background color for the control transparent when True.

## Declaration

Source position: stdctrls.pp line 1115

`public property TCustomStaticText.Transparent : Boolean read GetTransparent write SetTransparent default True;`

## Description

The property value is True when the csOpaque flag is not present in the ControlStyle property. Changing the value for the property causes ControlStyle to be updated accordingly, and the control is redrawn. The default value for the property is True.

Transparent is used when the InvalidateControl and InvalidateRect methods are called to paint the control.